[build-system]
requires = ["pdm-backend"]
build-backend = "pdm.backend"

[project]
name = "cry"
version = "0.1"
description = "Command line feed reader"
readme = "README.md"
authors = [{name = "John Doty"}]
license = {text = "MIT"}
requires-python = "==3.12.*"
classifiers = [
    "License :: OSI Approved :: MIT"
]
dependencies = [
    "feedparser>=6.0.11",
    "platformdirs>=4.2.2",
    "requests>=2.32.3",
    "click>=8.1.7",
    "dominate>=2.9.1",
]

[project.urls]
Homepage = "https://github.com/decarabas/cry"
Changelog = "https://github.com/decarabas/cry/releases"
Issues = "https://github.com/decarabas/cry/issues"
CI = "https://github.com/decarabas/cry/actions"

[project.scripts]
cry = "cry.cli:cli"

[project.entry_points.console_scripts]
cry = "cry.cli:cli"

[project.optional-dependencies]
test = ["pytest"]

[tool.pyright]
exclude = [".venv"]
venvPath = "."
venv = ".venv"

[tool.pdm]
